Help

Block bundling: customize webpack config

Topic Labels: Scripting extentions
856 1
cancel
Showing results for 
Search instead for 
Did you mean: 
Lukas_Kobis
4 - Data Explorer
4 - Data Explorer

I’m developing a new block as part of this competition: https://airtable.devpost.com/
I’m having issues with react hooks (it complains that I’m using two different react versions). Is there a way to look at how you’re bundling the JS? It’s using the @airtable/blocks-cli package but I can’t figure out what that’s actually doing.

Is there a way to overwrite the webpack config you’re using? If not, could you tell me which react version you’re using?

Thanks!

1 Reply 1
Rebecca_Meritz
5 - Automation Enthusiast
5 - Automation Enthusiast

@Lukas_Kobis - You should be able to tell which version of React you are using by looking in your package.json and/or package-lock.json files.

Currently with blocks you have no control over the webpack config, but you can specify which packages to include via package.json.